require File.expand_path('../lib/polirb/version', __FILE__)

Gem::Specification.new do |s|
  s.name        = "polirb"
  s.version     = Polirb::VERSION.dup
  s.summary     = "POLi API wrapper"
  s.description = "Ruby wrapper for the POLi API"
  s.homepage    = "http://github.com/tennantje/polirb"
  s.authors     = ["Jeremy Tennant"]
  s.email       = ["tennantje@gmail.com"]
  s.license     = "MIT"

  s.add_development_dependency 'rspec',     '~> 3.4'
  s.add_development_dependency 'webmock',   '~> 2.1'
  s.add_development_dependency 'pry-byebug', '~> 3.1', '>= 3.1.0'

  s.add_runtime_dependency 'json',          '~> 2.0'
  s.add_runtime_dependency 'rest-client',   '~> 2.0'
  s.add_runtime_dependency 'hashie',        '~> 3.4'
  s.add_runtime_dependency 'activesupport', '~> 5.0'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{|f| File.basename(f)}
  s.require_paths = ["lib"]
end
